package com.schisandra.oss.infra.basic.service;

import com.schisandra.oss.infra.basic.entity.SchisandraOssLocal;

/**
 * 本地存储配置表 表服务接口
 *
 * @author landaiqing
 * @since 2024-06-02 22:18:08
 */
public interface SchisandraOssLocalService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SchisandraOssLocal queryById(Long id);

    /**
     * 新增数据
     *
     * @param schisandraOssLocal 实例对象
     * @return 实例对象
     */
    int insert(SchisandraOssLocal schisandraOssLocal);

    /**
     * 修改数据
     *
     * @param schisandraOssLocal 实例对象
     * @return 实例对象
     */
    int update(SchisandraOssLocal schisandraOssLocal);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);


}
